curl --request PATCH \
--url https://api.example.com/client \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Hevn-Account: <x-hevn-account>' \
--data '
{
"phone": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
}
}
'import requests
url = "https://api.example.com/client"
payload = {
"phone": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
}
}
headers = {
"X-Hevn-Account": "<x-hevn-account>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Hevn-Account': '<x-hevn-account>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
phone: '<string>',
address: {
streetAddress: '<string>',
addressLine2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>'
}
})
};
fetch('https://api.example.com/client', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"status": "provisioning",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"baseSmartWallet": "<string>",
"kybStatus": "notStarted",
"kybApplicationId": "kyb_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"failure": {
"code": "provisioning_failed",
"message": "<string>",
"retriable": false
},
"pollUrl": "<string>",
"transferPolicy": {
"allowFiat": true,
"allowCrypto": true,
"allowThirdParty": true,
"allowEscrowThirdParty": true,
"allowSwap": true,
"allowPartnerGroupPayments": true,
"dualApproval": true,
"isFrozen": true,
"recoveryModeActivated": true
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Update a client profile
Update the phone and postal address for the client selected by X-Hevn-Account. Everything else about a client is verification data.
curl --request PATCH \
--url https://api.example.com/client \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Hevn-Account: <x-hevn-account>' \
--data '
{
"phone": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
}
}
'import requests
url = "https://api.example.com/client"
payload = {
"phone": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
}
}
headers = {
"X-Hevn-Account": "<x-hevn-account>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Hevn-Account': '<x-hevn-account>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
phone: '<string>',
address: {
streetAddress: '<string>',
addressLine2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>'
}
})
};
fetch('https://api.example.com/client', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"status": "provisioning",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"baseSmartWallet": "<string>",
"kybStatus": "notStarted",
"kybApplicationId": "kyb_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"failure": {
"code": "provisioning_failed",
"message": "<string>",
"retriable": false
},
"pollUrl": "<string>",
"transferPolicy": {
"allowFiat": true,
"allowCrypto": true,
"allowThirdParty": true,
"allowEscrowThirdParty": true,
"allowSwap": true,
"allowPartnerGroupPayments": true,
"dualApproval": true,
"isFrozen": true,
"recoveryModeActivated": true
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Your own key for this write, ^[A-Za-z0-9._:-]{1,128}$. A retry with the same key replays the first answer; the same key with a different request is refused.
"po-inv-2026-114"
The selected client account, as a cl_… id.
"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Body
Response
Successful Response
Stable public identifier for this account.
^(?:cl_)?[A-Za-z0-9._:\-]{1,216}$"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Current account-provisioning status.
provisioning, ready, failed UTC timestamp when the account was created.
Legal or trading name of the account.
Email address associated with the account.
Phone number in international E.164 format.
Base smart-wallet address controlled by the account.
Current business-verification status.
notStarted, pending, approved, rfi, rejected Latest immutable business-verification application identifier.
^(?:kyb_)?[A-Za-z0-9._:\-]{1,216}$"kyb_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Provisioning failure details, when present.
Show child attributes
Show child attributes
Relative API URL to poll with this response's id in X-Hevn-Account.
Account-level controls for the ways this client may move money.
Show child attributes
Show child attributes
Was this page helpful?